%define majver %(echo %version | cut -d. -f1-2)
%define buildver %(echo %version | sed "s|[a-z]||")
Name:          stellarium
Version:       24.4
Release:       3mamba
Summary:       Stellarium is a free open source planetarium
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://stellarium.org/
Source:        https://github.com/Stellarium/stellarium/releases/download/v%{majver}/stellarium-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQXlsxQt6-devel
BuildRequires: libQt6Concurrent
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libQt6PrintSupport
BuildRequires: libQt6SerialPort-devel
BuildRequires: libQt6Widgets
BuildRequires: libexiv2-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libgps-devel
BuildRequires: libnlopt-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtbb-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libz-devel
BuildRequires: qt6-qtcharts-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtmultimedia-devel
BuildRequires: qt6-qtpositioning-devel
BuildRequires: qt6-qtwebchannel-devel
BuildRequires: qt6-qtwebengine-devel
## AUTOBUILDREQ-END
BuildRequires: libnlopt-devel >= 0:2.10.0-1mamba
BuildRequires: libQXlsxQt6-devel >= 0:1.5.0-1mamba
BuildRequires: libcalcmysky-devel
BuildRequires: cmake

%description
Stellarium is a free open source planetarium for your computer. It shows a realistic sky in 3D, just like what you see with the naked eye, binoculars or a telescope.  It is being used in planetarium projectors. Just set your coordinates nd go


%prep
%setup -q -n %{name}-%{majver}

%build
%cmake -d build \
   -DCMAKE_CXX_FLAGS="%{optflags} -fPIC" \
   -DENABLE_QT6=1 \
   -DENABLE_SHOWMYSKY=ON \
   -DENABLE_TESTING=0 \
   -DENABLE_XLSX=1 \
   -DPREFER_SYSTEM_INDILIB=No

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
#-f %{name}.lang
%defattr(-,root,root)
%{_bindir}/stellarium
%{_libdir}/libShowMySky-Qt6.so
%{_libdir}/libShowMySky-Qt6.so.*
%{_datadir}/applications/org.stellarium.Stellarium.desktop
%{_datadir}/metainfo/org.stellarium.Stellarium.appdata.xml
%{_datadir}/icons/hicolor/*/apps/stellarium.png
%{_datadir}/mime/packages/stellarium.xml
%dir %{_datadir}/stellarium
%{_datadir}/stellarium/*
%{_mandir}/man1/stellarium.1*

%changelog
* Mon Feb 17 2025 Automatic Build System <autodist@mambasoft.it> 24.4-3mamba
- rebuilt by autoport with build requirements: libnlopt-devel>=0:2.10.0-1mamba

* Thu Feb 13 2025 Automatic Build System <autodist@mambasoft.it> 24.4-2mamba
- rebuilt by autoport with build requirements: libQXlsxQt6-devel>=0:1.5.0-1mamba

* Mon Dec 23 2024 Automatic Build System <autodist@openmamba.org> 24.4-1mamba
- automatic version update by autodist

* Tue Nov 19 2024 Automatic Build System <autodist@openmamba.org> 24.3-1mamba
- automatic version update by autodist

* Sun Jun 23 2024 Automatic Build System <autodist@openmamba.org> 24.2-1mamba
- automatic version update by autodist

* Mon Mar 25 2024 Automatic Build System <autodist@openmamba.org> 24.1-1mamba
- automatic version update by autodist

* Mon Dec 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.4-2mamba
- rebuilt with system libnlopt and libcalcmysky

* Sat Dec 23 2023 Automatic Build System <autodist@mambasoft.it> 23.4-1mamba
- automatic version update by autodist

* Tue Dec 19 2023 Automatic Build System <autodist@mambasoft.it> 23.3-1mamba
- automatic version update by autodist

* Tue Mar 28 2023 Automatic Build System <autodist@mambasoft.it> 23.1-1mamba
- automatic version update by autodist

* Wed Feb 08 2023 Sdk Build System <sdk@mambasoft.it> 1.2-3mamba
- rebuilt by autoport with build requirements: libgps-devel>=0:3.25-1mamba

* Mon Jan 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-2mamba
- rebuilt with system libQXlsxQt6

* Fri Dec 30 2022 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Sat Nov 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Mon Jul 18 2022 Automatic Build System <autodist@mambasoft.it> 0.22.2-1mamba
- automatic version update by autodist

* Sun Apr 17 2022 Automatic Build System <autodist@mambasoft.it> 0.22.1-1mamba
- automatic version update by autodist

* Mon Mar 28 2022 Automatic Build System <autodist@mambasoft.it> 0.22.0-1mamba
- automatic version update by autodist

* Sun Dec 26 2021 Automatic Build System <autodist@mambasoft.it> 0.21.3-1mamba
- automatic version update by autodist

* Wed Sep 29 2021 Automatic Build System <autodist@mambasoft.it> 0.21.2-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 0.21.1-1mamba
- automatic version update by autodist

* Fri Apr 02 2021 Automatic Build System <autodist@mambasoft.it> 0.21.0-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 0.20.4-1mamba
- automatic version update by autodist

* Tue Sep 29 2020 Automatic Build System <autodist@mambasoft.it> 0.20.3-1mamba
- automatic version update by autodist

* Thu Aug 20 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.2-2mamba
- rebuilt by autoport with build requirements: libgps-devel>=3.21-1mamba

* Sat Jun 27 2020 Automatic Build System <autodist@mambasoft.it> 0.20.2-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 0.20.1-1mamba
- automatic version update by autodist

* Mon Mar 30 2020 Automatic Build System <autodist@mambasoft.it> 0.20.0-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 0.19.3-1mamba
- automatic version update by autodist

* Sun Oct 06 2019 Automatic Build System <autodist@mambasoft.it> 0.19.2-1mamba
- automatic version update by autodist

* Sat Jul 20 2019 Automatic Build System <autodist@mambasoft.it> 0.19.1-1mamba
- automatic version update by autodist

* Thu May 02 2019 Automatic Build System <autodist@mambasoft.it> 0.19.0-1mamba
- automatic version update by autodist

* Fri Sep 28 2018 Automatic Build System <autodist@mambasoft.it> 0.18.2-1mamba
- automatic version update by autodist

* Mon Sep 25 2017 Automatic Build System <autodist@mambasoft.it> 0.16.1-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Fri Mar 31 2017 Automatic Build System <autodist@mambasoft.it> 0.15.2-1mamba
- automatic version update by autodist

* Wed Dec 28 2016 Automatic Build System <autodist@mambasoft.it> 0.15.1-1mamba
- automatic version update by autodist

* Mon Aug 08 2016 Automatic Build System <autodist@mambasoft.it> 0.15.0-1mamba
- automatic version update by autodist

* Wed Mar 23 2016 Automatic Build System <autodist@mambasoft.it> 0.14.3-1mamba
- automatic version update by autodist

* Sat Jan 09 2016 Automatic Build System <autodist@mambasoft.it> 0.14.2-1mamba
- automatic version update by autodist

* Wed Dec 02 2015 Automatic Build System <autodist@mambasoft.it> 0.14.1-1mamba
- automatic version update by autodist

* Sat Nov 14 2015 Automatic Build System <autodist@mambasoft.it> 0.14.0-1mamba
- automatic version update by autodist

* Tue Jan 27 2015 Automatic Build System <autodist@mambasoft.it> 0.13.2-1mamba
- automatic version update by autodist

* Fri Nov 07 2014 Automatic Build System <autodist@mambasoft.it> 0.13.1-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 0.13.0-1mamba
- automatic version update by autodist

* Thu Oct 17 2013 Automatic Build System <autodist@mambasoft.it> 0.12.4-1mamba
- automatic version update by autodist

* Wed Sep 18 2013 Automatic Build System <autodist@mambasoft.it> 0.12.3-1mamba
- automatic update by autodist

* Mon Aug 05 2013 Automatic Build System <autodist@mambasoft.it> 0.12.2-1mamba
- automatic update by autodist

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 0.12.1-1mamba
- automatic version update by autodist

* Mon Feb 18 2013 Automatic Build System <autodist@mambasoft.it> 0.12.0-1mamba
- automatic version update by autodist

* Mon Jan 21 2013 Automatic Build System <autodist@mambasoft.it> 0.11.4a-1mamba
- update to 0.11.4a

* Sat Aug 25 2012 Automatic Build System <autodist@mambasoft.it> 0.11.4-1mamba
- automatic version update by autodist

* Mon Aug 06 2012 Automatic Build System <autodist@mambasoft.it> 0.11.3-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 0.11.0-1mamba
- automatic version update by autodist

* Sun Mar 20 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.10-6-2mamba
- added stellarium.desktop and icon files

* Fri Mar 18 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.10.6-1mamba
- update to 0.10.6

* Sun Jun 27 2010 Automatic Build System <autodist@mambasoft.it> 0.10.5-1mamba
- automatic update by autodist

* Thu May 13 2010 Automatic Build System <autodist@mambasoft.it> 0.10.4-1mamba
- automatic update by autodist

* Thu Jul 16 2009 Automatic Build System <autodist@mambasoft.it> 0.10.2-1mamba
- automatic update by autodist

* Tue Dec 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.0-1mamba
- update to 0.10.0

* Thu Jun 12 2008 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.9.1-1mamba
- package created by autospec
